from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Float, Int, Boolean, String

Create_Phylowgs_Inputs_Py_V0_1_0 = CommandToolBuilder(tool="create_phylowgs_inputs.py", base_command=["create_phylowgs_inputs.py"], inputs=[ToolInput(tag="in_vcf_type", input_type=File(optional=True), prefix="--vcf-type", doc=InputDocumentation(doc="Type of VCF file for each sample, specified as\n<sample>=<vcf_type>. Valid VCF types are strelka,mutec\nt_pcawg,dkfz,muse,vardict,mutect_smchet,mutect_tcga,sa\nnger,pcawg_consensus. (default: None)")), ToolInput(tag="in_error_rate", input_type=Float(optional=True), prefix="--error-rate", doc=InputDocumentation(doc="Expected error rate of sequencing platform (default:\n0.001)")), ToolInput(tag="in_missing_variant_confidence", input_type=Float(optional=True), prefix="--missing-variant-confidence", doc=InputDocumentation(doc="Confidence in range [0, 1] that SSMs missing from a\nsample are indeed not present in that sample (default:\n1.0)")), ToolInput(tag="in_sample_size", input_type=Int(optional=True), prefix="--sample-size", doc=InputDocumentation(doc="Subsample SSMs to reduce PhyloWGS runtime (default:\nNone)")), ToolInput(tag="in_priority_ssms", input_type=File(optional=True), prefix="--priority-ssms", doc=InputDocumentation(doc="File containing newline-separated list of SSMs in\n'<chr>_<locus>' format to prioritize for inclusion\n(default: None)")), ToolInput(tag="in_only_priority", input_type=Boolean(optional=True), prefix="--only-priority", doc=InputDocumentation(doc="Only sample variants provided on priority list\n(default: False)")), ToolInput(tag="in_cn_vs", input_type=File(optional=True), prefix="--cnvs", doc=InputDocumentation(doc="Path to CNV file created with parse_cnvs.py for each\nsample. Specified as <sample>=<CNV path>. (default:\nNone)")), ToolInput(tag="in_regions", input_type=String(optional=True), prefix="--regions", doc=InputDocumentation(doc="Which regions to use variants from. Refer to the\nparser README for more details. (default:\nnormal_and_abnormal_cn)")), ToolInput(tag="in_output_cn_vs", input_type=String(optional=True), prefix="--output-cnvs", doc=InputDocumentation(doc="Output destination for CNVs (default: cnv_data.txt)")), ToolInput(tag="in_output_variants", input_type=String(optional=True), prefix="--output-variants", doc=InputDocumentation(doc="Output destination for variants (default:\nssm_data.txt)")), ToolInput(tag="in_output_params", input_type=String(optional=True), prefix="--output-params", doc=InputDocumentation(doc="Output destination for run parameters (default:\nparams.json)")), ToolInput(tag="in_tumor_sample", input_type=File(optional=True), prefix="--tumor-sample", doc=InputDocumentation(doc="Name of the tumor sample in the input VCF file.\nDefaults to last sample if not specified. (default:\nNone)")), ToolInput(tag="in_muse_tier", input_type=Int(optional=True), prefix="--muse-tier", doc=InputDocumentation(doc="Maximum MuSE tier to include (default: 0)")), ToolInput(tag="in_non_subsampled_variants", input_type=File(optional=True), prefix="--nonsubsampled-variants", doc=InputDocumentation(doc="If subsampling, write nonsubsampled variants to\nseparate file, in addition to subsampled variants\n(default: None)")), ToolInput(tag="in_non_subsampled_variants_cn_vs", input_type=File(optional=True), prefix="--nonsubsampled-variants-cnvs", doc=InputDocumentation(doc="If subsampling, write CNVs for nonsubsampled variants\nto separate file (default: None)")), ToolInput(tag="in_sex", input_type=String(optional=True), prefix="--sex", doc=InputDocumentation(doc="Sex of patient. Used to adjust expected variant\nfrequencies on sex chromosomes. If auto, patient is\nset to male if any variants are provided on the Y\nchromosome, and female otherwise. (default: auto)")), ToolInput(tag="in_het_snp_rate", input_type=Int(optional=True), prefix="--het-snp-rate", doc=InputDocumentation(doc="Average number of heterozygous SNPs per base used to\ncall copy number. This determines how heavily we\nweight somatic CNAs relative to SNVs. Defaults to 7\nSNPs per 10 kb, as per Battenberg. (default: 0.0007)")), ToolInput(tag="in_vcf_files", input_type=String(), position=0, doc=InputDocumentation(doc="Path to VCF file for each sample. Specified as\n<sample>=<VCF path>."))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Create_Phylowgs_Inputs_Py_V0_1_0().translate("wdl", allow_empty_container=True)

